Check-in [fdec6256c2]
Not logged in

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview

SHA1 Hash:fdec6256c28d52387412ed3bf8cf5049fc2d0055
Date: 2012-06-27 13:46:44
User: BarryK
Comment:support kbd package for selecting keyboard layout, previously only /lib/keymaps

Tags And Properties
Changes

Changes to woof-code/packages-templates/kbd/FIXUPHACK

@@ -7,7 +7,28 @@
 
 if [ "$FILESGZ" != "" ];then
  for ONEFILEGZ in $FILESGZ
  do
   gunzip $ONEFILEGZ
+ done
+fi
+
+#120627 debian and gentoo have different path in usr/share...
+[ "`ls -1 usr/share/consolefonts`" = "" ] && rm -rf usr/share/consolefonts
+[ "`ls -1 usr/share/keymaps/i386`" = "" ] && rm -rf usr/share/keymaps/i386
+[ "`ls -1 usr/share/keymaps/include`" = "" ] && rm -rf usr/share/keymaps/include
+[ "`ls -1 usr/share/keymaps`" = "" ] && rm -rf usr/share/keymaps
+[ "`ls -1 usr/share/kbd/consolefonts`" = "" ] && rm -rf usr/share/kbd/consolefonts
+[ "`ls -1 usr/share/kbd/keymaps/i386`" = "" ] && rm -rf usr/share/kbd/keymaps/i386
+[ "`ls -1 usr/share/kbd/keymaps/include`" = "" ] && rm -rf usr/share/kbd/keymaps/include
+[ "`ls -1 usr/share/kbd/keymaps`" = "" ] && rm -rf usr/share/kbd/keymaps
+[ "`ls -1 usr/share/kbd`" = "" ] && rm -rf usr/share/kbd
+
+#120627 is it ok rename .kmap to .map, better for our scripts...
+FILESKMAP="`find ./usr/share -type f -name '*.kmap'`"
+if [ "$FILESKMAP" != "" ];then
+ for ONEFILEKMAP in $FILESKMAP
+ do
+  xONEFILEKMAP="$(echo -n "$ONEFILEKMAP" | sed -e 's%\.kmap$%%')"
+  rm ${xONEFILEKMAP}.kmap
  done
 fi

Changes to woof-code/packages-templates/kbd/usr/share/consolefonts/NOEXCEPTIONFILES


Changes to woof-code/packages-templates/kbd/usr/share/consolefonts/lat1-12.psfu


Changes to woof-code/packages-templates/kbd/usr/share/consolefonts/lat1-12.psfu.gz


Changes to woof-code/packages-templates/kbd/usr/share/consolefonts/lat2-12.psfu


Changes to woof-code/packages-templates/kbd/usr/share/consolefonts/lat2-12.psfu.gz


Changes to woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/PLUSEXTRADIRS


Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/azerty/azerty.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/azerty/azerty.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/azerty/be-latin1.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/azerty/be-latin1.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/azerty/fr.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/azerty/fr.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/azerty/wangbe.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/azerty/wangbe.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/dvorak/dvorak.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/dvorak/dvorak.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/azerty-layout.inc

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/backspace.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/backspace.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/compose.inc

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/compose.latin

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/compose.latin1

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/compose.latin2

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/euro.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/euro.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/euro1.inc

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/euro1.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/euro1.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/euro2.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/euro2.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/keypad.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/keypad.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/linux-keys-bare.inc

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/linux-keys-extd.inc

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/linux-with-alt-and-altgr.inc

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/linux-with-modeshift-altgr.inc

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/linux-with-two-alt-keys.inc

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/qwerty-layout.inc

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/qwertz-layout.inc

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/unicode.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/unicode.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/windowkeys.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/include/windowkeys.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/NOEXCEPTIONFILES

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/br-abnt2.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/br-abnt2.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/br-latin1-us.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/br-latin1-us.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/cz-lat2.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/cz-lat2.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/defkeymap.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/defkeymap.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/dk.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/dk.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/es.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/es.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/fi.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/fi.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/hu101.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/hu101.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/il.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/il.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/is-latin1.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/is-latin1.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/it.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/it.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/jp106.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/jp106.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/la-latin1.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/la-latin1.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/nl.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/nl.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/no.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/no.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/pl.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/pl.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/pt-latin1.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/pt-latin1.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/qc.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/qc.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/ro_win.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/ro_win.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/ru.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/ru.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/se.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/se.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/sk-qwerty.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/sk-qwerty.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/uk.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/uk.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/us.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwerty/us.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwertz/croat.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwertz/croat.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwertz/cz-us-qwertz.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwertz/cz-us-qwertz.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwertz/de.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwertz/de.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwertz/hu.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwertz/hu.map.gz

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwertz/slovene.map

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/i386/qwertz/slovene.map.gz

Changes to woof-code/packages-templates/kbd/usr/share/kbd/keymaps/include/PLUSEXTRAFILES


Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/include/compose.8859_7

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/include/compose.8859_8

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/include/compose.latin

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/include/compose.latin1

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/include/compose.latin2

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/include/compose.latin3

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/include/compose.latin4

Deleted woof-code/packages-templates/kbd/usr/share/kbd/keymaps/include/vim-compose.latin1

Changes to woof-code/packages-templates/kbd/usr/share/keymaps/i386/PLUSEXTRADIRS


Changes to woof-code/packages-templates/kbd/usr/share/keymaps/include/PLUSEXTRAFILES


Changes to woof-code/rootfs-skeleton/etc/rc.d/rc.country

@@ -1,9 +1,10 @@
 #!/bin/sh
 #(c) Copyright 2012 Barry Kauler
 #2012 GPL licence v3 (refer: /usr/share/doc/legal)
 #120328 rewrite script.
+#120627 use keymaps from kbd pkg if present.
 
 . /etc/rc.d/PUPSTATE
 . /etc/DISTRO_SPECS #has DISTRO_XORG_AUTO
 STATUS=0
 . /etc/clock
@@ -12,20 +13,36 @@
 
 ASKKMAP="yes"; ASKLANG="yes"; ASKCLOCK="no"
 [ "$DISTRO_XORG_AUTO" = "yes" ] && ASKKMAP="no" && ASKLANG="no"
 [ -f /tmp/bootcnt.txt ] && ASKKMAP="yes" && ASKLANG="yes" #file created in 'init' if pfix=nox.
 
+#120627
+KMAPPATH='/lib/keymaps'
+[ -d /usr/share/kbd/keymaps/i386 ] && KMAPPATH='/usr/share/kbd/keymaps/i386'
+[ -d /usr/share/keymaps/i386 ] && KMAPPATH='/usr/share/keymaps/i386' #debian, gentoo. note, debian files have extension .kmap.gz, gentoo have .map.gz
+KEXT=''
+[ -f ${KMAPPATH}/qwerty/us.map ] && KEXT='.map'
+[ -f ${KMAPPATH}/qwerty/us.map.gz ] && KEXT='.map'
+[ -f ${KMAPPATH}/qwerty/us.kmap ] && KEXT='.kmap'
+[ -f ${KMAPPATH}/qwerty/us.kmap.gz ] && KEXT='.kmap'
+
 ######keyboard section######
 askkbdlayout ()
 {
- echo -n "us" > /etc/keymap #default.
+ echo -n "us${KEXT}" > /etc/keymap #default.
  echo -n "" > /etc/codepage # "
  FIRSTITEM="us \"(USA)\""
  echo -n "" >/tmp/keybdlist.txt
- for AFILE in `ls /lib/keymaps/*`
+ case $KMAPPATH in #120627
+  /lib/keymaps) KMAPFILES="`find /lib/keymaps -mindepth 1 -maxdepth 1 -name '*.gz' | sort`" ;; #ex: us.gz
+  *) KMAPFILES="`find ${KMAPPATH}/[^i]* -name '*.map' -o -name '*.kmap' -o -name '*.map.gz' -o -name '*.kmap.gz' -not -name 'defkeymap*' | sort`" ;;
+ esac
+ for AFILE in $KMAPFILES
  do
   AKMAP="`basename $AFILE .gz`" #us, fr, br, etc.
+  AKMAP="`basename $AKMAP .kmap`" #120627
+  AKMAP="`basename $AKMAP .map`" #120627
   case $AKMAP in
    us*) ACNTRY="(USA)";;
    fr*) ACNTRY="(France)";;
    it*) ACNTRY="(Italy)";;
    ba*) ACNTRY="(Bashkir)";;
@@ -90,17 +107,17 @@
  KMAP=`cat /tmp/kbdextlayout.txt`
  case $KMAP in #note, same/similar code in /usr/sbin/input-wizard, init, quicksetup.
   de*|be*|br*|dk*|es*|fi*|fr*|it*|no*|se*|sv*|pt*) echo -n "850" > /etc/codepage ;;
   cz*|hu*|pl*|ro*|sk*|croat*|slovene*)  echo -n "852" > /etc/codepage  ;;
  esac
- echo -n "$KMAP" > /etc/keymap
+ echo -n "${KMAP}${KEXT}" > /etc/keymap
  return 0
 }
 
 if [ "$ASKKMAP" = "no" ];then
  #'quicksetup' is run 1st time X starts.
- [ ! -f /etc/keymap ] && echo -n "us" > /etc/keymap
+ [ ! -f /etc/keymap ] && echo -n "us${KEXT}" > /etc/keymap
  [ ! -f /etc/codepage ] && echo -n "" > /etc/codepage
 else
  [ ! -e /etc/keymap ] && askkbdlayout #creates /etc/keymap, /etc/codepage.
 fi
 
@@ -117,13 +134,13 @@
 if [ -s /etc/keymap ];then
  NEED2LOADKMAP="yes"
  [ -d /initrd -a "$PKEYS" ] && NEED2LOADKMAP="no" #already done in initrd.
  if [ "$NEED2LOADKMAP" = "yes" ];then
   KMAP="`cat /etc/keymap`"
-  case $KMAP in
-   *.map) loadkeys $KMAP ;;
-   *) gzip -dcf /lib/keymaps/$KMAP.gz | loadkmap ;;
+  case $KMAPPATH in #120627
+   /lib/keymaps) gzip -dcf /lib/keymaps/$KMAP.gz | loadkmap ;;
+   *) loadkeys $KMAP ;; #note i think don't need to specify the extension (but it is in KMAP).
   esac
  fi
 fi
 ######end keyboard section######
 

Changes to woof-code/rootfs-skeleton/sbin/initNEW

@@ -8,16 +8,27 @@
 #in the case of not a full hd install, this script just passes execution to busybox init.
 #100911 fsckme.err filename changed to fsckme.flg. see also init (initramfs), rc.sysinit, rc.shutdown.
 #101020 no longer have /etc/modprobe.conf.
 #120408 support minit
 #120516 gentoo, libgcc_s.so.1 in wrong place.
+#120627 check ramdisk big enough.
 
 INITEXE='/bin/busybox init'
 [ -f /sbin/minit ] && INITEXE='/sbin/minit'
 
 [ -d /initrd ] && exec ${INITEXE} #not a full hd install.
 [ ! -e /fsckme.flg ] && exec ${INITEXE} #no error.
+
+#120627
+if [ ! -e /sys/block/ram0/size ];then
+ rm -f /fsckme.flg
+ exec ${INITEXE} #unable to do f.s. check.
+fi
+if [ `cat /sys/block/ram0/size` -lt 32768 ];then
+ rm -f /fsckme.flg
+ exec ${INITEXE} #unable to do f.s. check.
+fi
 
 PATH='/bin:/sbin'
 export LANG=C
 
 #only come here if full hd install, and previous improper shutdown.

Changes to woof-code/rootfs-skeleton/usr/sbin/input-wizard

@@ -14,10 +14,11 @@
 #100215 moved sync code for console/xorg kbd layout from xwin.
 #100527 added jemimah's flsynclient touchpad config.
 #101112 disabled FONTMAP, see http://bkhome.org/blog/?viewDetailed=01956
 #110814 01micko: convert script from gtkdialog2 to gtkdialog3+.
 #120201 rodin.s: internationalized.
+#120627 use keymaps from kbd pkg if present.
 
 export TEXTDOMAINDIR=/usr/share/locale
 export TEXTDOMAIN=input-wizard
 export OUTPUT_CHARSET=UTF-8
 . gettext.sh
@@ -81,16 +82,32 @@
 </window>
 "
 
 CHECK1="false"
 
+#120627
+KMAPPATH='/lib/keymaps'
+[ -d /usr/share/kbd/keymaps/i386 ] && KMAPPATH='/usr/share/kbd/keymaps/i386'
+[ -d /usr/share/keymaps/i386 ] && KMAPPATH='/usr/share/keymaps/i386' #debian, gentoo. note, debian files have extension .kmap.gz, gentoo have .map.gz
+KEXT=''
+[ -f ${KMAPPATH}/qwerty/us.map ] && KEXT='.map'
+[ -f ${KMAPPATH}/qwerty/us.map.gz ] && KEXT='.map'
+[ -f ${KMAPPATH}/qwerty/us.kmap ] && KEXT='.kmap'
+[ -f ${KMAPPATH}/qwerty/us.kmap.gz ] && KEXT='.kmap'
+
 askkbdlayout () #091122
 {
  echo -n "" >/tmp/keybdlist.txt
- for AFILE in `ls /lib/keymaps/*`
+ case $KMAPPATH in #120627
+  /lib/keymaps) KMAPFILES="`find /lib/keymaps -mindepth 1 -maxdepth 1 -name '*.gz' | sort`" ;; #ex: us.gz
+  *) KMAPFILES="`find ${KMAPPATH}/[^i]* -name '*.map' -o -name '*.kmap' -o -name '*.map.gz' -o -name '*.kmap.gz' -not -name 'defkeymap*' | sort`" ;;
+ esac
+ for AFILE in $KMAPFILES
  do
   AKMAP="`basename $AFILE .gz`" #us, fr, br, etc.
+  AKMAP="`basename $AKMAP .kmap`" #120627
+  AKMAP="`basename $AKMAP .map`" #120627
   #hmmm, very slow way to do this...
   case $AKMAP in
    us*) ACNTRY="(USA)";;
    fr*) ACNTRY="(France)";;
    it*) ACNTRY="(Italy)";;
@@ -512,14 +529,17 @@
    break
   ;;
  esac
 
  if [ "$KMAP" ];then
-  echo -n "$KMAP" > /etc/keymap
+  echo -n "${KMAP}${KEXT}" > /etc/keymap #120627
   echo -n "$FONTMAP" > /etc/fontmap
   echo -n "$CODEPAGE" > /etc/codepage
-  gzip -dcf /lib/keymaps/$KMAP.gz | loadkmap
+  case $KMAPPATH in #120627
+   /lib/keymaps) gzip -dcf /lib/keymaps/$KMAP.gz | loadkmap ;;
+   *) loadkeys $KMAP ;; #note i think don't need to specify the extension.
+  esac
   [ "$FONTMAP" ] && gzip -dcf /lib/consolefonts/${FONTMAP}.gz | loadfont
 
   #100520 this code copied back to /usr/bin/xwin...
   #100215 moved this from /usr/bin/xwin... (note, xorgwizard has same code)
   if [ -e /etc/X11/xorg.conf ];then

Changes to woof-code/rootfs-skeleton/usr/sbin/keymap-set

@@ -6,10 +6,11 @@
 # 24 Jul 2010 add input section if not exists (thanks to Abnormalter), variant qwerty|qwertz
 # 11 Aug 2010 keymap_previous to prevent xwin rewrites
 # 12 Aug 2010 azerty(fr) fixed
 #  5 Jan 2011 Allow keymaps work with with X but do not on the consile
 #111020 fix spelling typo.
+#120627 handle different path to keymaps in kbd pkg.
 
 MYNAME=$(basename $0)
 VERSION=20100812
 usage() {
 	echo "$MYNAME ver.-$VERSION
@@ -68,13 +69,23 @@
 
 [ $# -le 2 ] || usage
 LANGORG=$LANG
 LANG=C
 
-MAPS=$(find  /usr/share/kbd/keymaps/i386/[^i]* -name '*.map' -not -name 'defkeymap*' -printf '%f\n'  2>/dev/null)
-[ "$MAPS" != "" ] && MAPS=$(echo "$MAPS"| sed -e 's,^.*/,,'|sort) || \
-  MAPS=$(ls -1 /lib/keymaps| sed -e 's,.gz,,')
+#120627
+#MAPS=$(find  /usr/share/kbd/keymaps/i386/[^i]* -name '*.map' -not -name 'defkeymap*' -printf '%f\n'  2>/dev/null)
+#[ "$MAPS" != "" ] && MAPS=$(echo "$MAPS"| sed -e 's,^.*/,,'|sort) || \
+#  MAPS=$(ls -1 /lib/keymaps| sed -e 's,.gz,,')
+KMAPPATH='/lib/keymaps'
+[ -d /usr/share/kbd/keymaps/i386 ] && KMAPPATH='/usr/share/kbd/keymaps/i386'
+[ -d /usr/share/keymaps/i386 ] && KMAPPATH='/usr/share/keymaps/i386' #debian, gentoo. note, debian files have extension .kmap.gz, gentoo have .map.gz
+case $KMAPPATH in #120627
+ /lib/keymaps) KMAPFILES="`find /lib/keymaps -mindepth 1 -maxdepth 1 -name '*.gz' | sort`" ;; #ex: us.gz
+ *) KMAPFILES="`find ${KMAPPATH}/[^i]* -name '*.map' -o -name '*.kmap' -o -name '*.map.gz' -o -name '*.kmap.gz' -not -name 'defkeymap*' | sort`" ;;
+esac
+MAPS="$(echo "$KMAPFILES" | sed -e 's%^.*/%%' -e 's%\.gz$%%')"
+
 SYMBOLS=$(ls -1 /etc/X11/xkb/symbols/pc)
 OLDMAP=""
 [ -f /etc/keymap ] && OLDMAP=$(cat /etc/keymap)
 [ "$OLDMAP" = "" ] && OLDMAP="us"
 [ "$DISPLAY" ] && XSTATUS="yes" || XSTATUS=""
@@ -120,11 +131,12 @@
   NEWMAP=$(echo $NEWMAP| cut -b 1-2)
   NEW=$(echo "$MAPS"|grep -w "^$NEWMAP"| head -n 1)
 fi
 #echo "NEWMAP=$NEWMAP"
 # keymap for X. NEWMAP can be *.map
-XKEYMAP=$(basename $NEWMAP .map)
+XKEYMAP=$(basename $NEWMAP .kmap) #120627
+XKEYMAP=$(basename $XKEYMAP .map)
 MODEL="pc102"
 VARIANT=""
 if ! echo "$SYMBOLS" | grep -q "$XKEYMAP"; then
   XK1=$(echo $XKEYMAP | cut -d'-' -f1)
   XK2=$(echo $XKEYMAP | cut -d'-' -f2)
@@ -160,11 +172,11 @@
   #[ "$NEWMAP" = "$OLDMAP" ] && exit 0
   [ "$VERBOSE" ] && echo -ne "Loading \"$NEWMAP\" keyboard map... "
   echo -n $NEWMAP > /etc/keymap
   cp -f /etc/keymap /etc/keymap_previous	# prevent xwin rewrites
   case $NEWMAP in
-    *.map) loadkeys $NEWMAP || exit 1
+    *.map|*.kmap) loadkeys $NEWMAP || exit 1 #120627
     ;;
     *) /bin/gzip -dcf /lib/keymaps/$NEWMAP.gz | /sbin/loadkmap || exit 1
     ;;
   esac
 elif [ -s /usr/share/i18n/layouts ]; then

Changes to woof-code/rootfs-skeleton/usr/sbin/quicksetup

@@ -40,10 +40,11 @@
 #120331 added Polish (pl) hardcoded translation.
 #120401 change logic to call lang2initrd.
 #120402 expand locale help window.
 #120524 Please wait... msg after click ok button.
 #120625 always display network frame, remove set-hostname button, added firewall and ntp checkboxes.
+#120627 support kbd pkg.
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@}
 
 export TEXTDOMAIN=quicksetup
 export OUTPUT_CHARSET=UTF-8
@@ -500,10 +501,20 @@
 
  ###keyboard layout###
  KEYBOARDXML=""
  if [ "$SET_KEYBOARD" ];then
 
+  #120627
+  KMAPPATH='/lib/keymaps'
+  [ -d /usr/share/kbd/keymaps/i386 ] && KMAPPATH='/usr/share/kbd/keymaps/i386'
+  [ -d /usr/share/keymaps/i386 ] && KMAPPATH='/usr/share/keymaps/i386' #debian, gentoo. note, debian files have extension .kmap.gz, gentoo have .map.gz
+  KEXT=''
+  [ -f ${KMAPPATH}/qwerty/us.map ] && KEXT='.map'
+  [ -f ${KMAPPATH}/qwerty/us.map.gz ] && KEXT='.map'
+  [ -f ${KMAPPATH}/qwerty/us.kmap ] && KEXT='.kmap'
+  [ -f ${KMAPPATH}/qwerty/us.kmap.gz ] && KEXT='.kmap'
+
   H_kb1="`gettext 'Help: Keyboard Layout'`"
   H_kb2="`gettext 'Computer keyboards have different layouts, depending on the country and language.
 
 <b>Note:</b> After making a choice here, clicking the <b>OK</b> button will update the layout in X (graphical desktop) but not the console (when X not running) -- that requires a reboot.
 
@@ -523,13 +534,19 @@
   DEF_KMAP="us"
   [ -f /etc/keymap ] && DEF_KMAP="`cat /etc/keymap | sed -e 's/\..*//'`"
   [ ! "$DEF_KMAP" ] && DEF_KMAP="us" #precaution.
   if [ ! -f /var/local/quickset-keyboard-list ];then
    echo -n "" > /var/local/quickset-keyboard-list
-   for AFILE in `ls /lib/keymaps/*`
+   case $KMAPPATH in #120627
+    /lib/keymaps) KMAPFILES="`find /lib/keymaps -mindepth 1 -maxdepth 1 -name '*.gz' | sort`" ;; #ex: us.gz
+    *) KMAPFILES="`find ${KMAPPATH}/[^i]* -name '*.map' -o -name '*.kmap' -o -name '*.map.gz' -o -name '*.kmap.gz' -not -name 'defkeymap*' | sort`" ;;
+   esac
+   for AFILE in $KMAPFILES
    do
     AKMAP="`basename $AFILE .gz`" #us, fr, br, etc.
+    AKMAP="`basename $AKMAP .kmap`" #120627
+    AKMAP="`basename $AKMAP .map`" #120627
     case $AKMAP in
      us*) ACNTRY="(USA)";;
      fr*) ACNTRY="(France)";;
      it*) ACNTRY="(Italy)";;
      ba*) ACNTRY="(Bashkir)";;
@@ -868,11 +885,11 @@
     modprobe nls_iso8859-2
     #FONTMAP="lat2-12.psfu"
     CODEPAGE="852"
    ;;
   esac
-  echo -n "$NEW_KMAP" > /etc/keymap
+  echo -n "${NEW_KMAP}${KEXT}" > /etc/keymap #120627
   #echo -n "$FONTMAP" > /etc/fontmap
   echo -n "$CODEPAGE" > /etc/codepage
 
   keymap-set --load #111020 script by shinobar.
   #120224 fontmap will be handled in locale code below.

Changes to woof-distro/arm/debian/squeeze/DISTRO_PKGS_SPECS-debian-squeeze

@@ -269,10 +269,11 @@
 yes|jbig2dec|libjbig2dec0,libjbig2dec0-dev|exe,dev,doc,nls
 yes|jimtcl||exe,dev,doc,nls
 yes|jwm2||exe,dev,doc,nls
 yes|jwmconfig2||exe,dev,doc,nls
 yes|jwmthememaker||exe,dev,doc,nls
+yes|kbd|kbd,console-data|exe,dev>exe,doc,nls| #dev>exe because of the include directory.
 no|kbd||exe,dev,doc,nls
 yes|keyutils|libkeyutils1|exe,dev>null,doc,nls
 yes|krb5|libkrb53,libkrb5-3,libkrb5-dev,libgssapi-krb5-2,libk5crypto3,libkrb5support0|exe,dev,doc,nls
 no|lame|lame,libmp3lame0,libmp3lame-dev|exe,dev,doc,nls
 no|lame||exe,dev,doc,nls